package de.frajul.particlelab.entities;

import de.frajul.particlelab.data.Vector;

/**
 * Created by Julian on 01.12.2015.
 */
public class Quad {

    protected Vector position;
    protected float width, height;

    public Quad(Vector position, float width, float height) {
        this.position = position;
        this.width = width;
        this.height = height;
    }

    public float getRightEdge() {
        return position.x + width / 2;
    }

    public float getLeftEdge() {
        return position.x - width / 2;
    }

    public float getTopEdge() {
        return position.y + height / 2;
    }

    public float getBottomEdge() {
        return position.y - height / 2;
    }

    public Vector getPosition() {
        return position;
    }

    public void setPosition(Vector position) {
        this.position = position;
    }

    public float getWidth() {
        return width;
    }

    public void setWidth(float width) {
        this.width = width;
    }

    public float getHeight() {
        return height;
    }

    public void setHeight(float height) {
        this.height = height;
    }

}
